Subject: [PATCH 0/2] Two imx-drm oops fixes

From: [email-masked] (Greg Kroah-Hartman)
Date: Tue, 9 Sep 2014 08:38:44 -0700

On Tue, Sep 09, 2014 at 11:13:41PM +0800, Shawn Guo wrote:
> On Mon, Sep 08, 2014 at 12:09:49PM -0700, Greg Kroah-Hartman wrote:
> > On Mon, Sep 08, 2014 at 12:08:59PM -0700, Greg Kroah-Hartman wrote:
> > > On Mon, Sep 01, 2014 at 06:07:12PM +0100, Russell King - ARM Linux wrote:
> > > > Greg,
> > > > 
> > > > Here's two oops fixes for imx-drm, which I've had queued up for a number
> > > > of months now.  Shawn posted different fixes for the same oops recently
> > > > as well.
> > > 
> > > So do I take your patches, or Shawn's?
> > 
> > Actually, yours are "smaller", so I'll defer to you and take yours...
> 
> Greg,
> 
> My patch is bigger than Russell's because I cleaned up the code a little
> bit along the way of fixing the bug.
> 
> I will send you the cleanup as an incremental patch based on Russell's
> fixes.

That's what you should have done in the first place, don't try to do
multiple things in the same patch, especially for bugfixes that
need/want to be backported, you know better than that...

greg k-h